## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 18;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         srcname     azure-mgmt-relay

Name:           python-%{srcname}
Version:        0.1.0
Release:        %autorelease
Summary:        Microsoft Azure Relay Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%global _description %{expand:
Microsoft Azure Relay Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}

# Remove the custom wheel builder.
sed -i '/azure-namespace-package/d' setup.cfg
rm -f azure_bdist_wheel.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

# PEP 420 allows implicit namespace packaging without additional __init__.py
# files. Remove unneccessary __init__.py that conflicts with other packages.
rm -rf %{buildroot}%{python3_sitelib}/azure/{__init__.py,__pycache__}
rm -rf %{buildroot}%{python3_sitelib}/azure/mgmt/{__init__.py,__pycache__}

%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname}
%doc README.rst HISTORY.rst
%{python3_sitelib}/azure/mgmt/relay
%{python3_sitelib}/azure_mgmt_relay-%{version}.dist-info


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.1.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.1.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1:0.1.0-16
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.1.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.1.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1:0.1.0-12
- Rebuilt for Python 3.12

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:0.1.0-11
- S

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 1:0.1.0-8
- Add import check

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 1:0.1.0-7
- Rebuilt for Python 3.11

* Thu Apr 28 2022 Major Hayden <major@mhtx.net> - 1:0.1.0-6
- Switch to rpmautospec

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:0.1.0-4
- Move obsoletes into subpackage

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> - 1:0.1.0-3
- Remove conflicting namespace package files

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:0.1.0-2
- Add epoch number for 0.1.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1:0.1.0-1
- Downgrade to 0.1.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> - 1.0.0-1
- Initial import (#1971850)
## END: Generated by rpmautospec
